/* PIV.h
 *
 * (c) Copyright 1991 J.E.Hanway
 *
 * $Id: PIV.h,v 1.1 91/03/13 22:33:39 jeh Exp $
 *
 * $Log:	PIV.h,v $
 * Revision 1.1  91/03/13  22:33:39  jeh
 * Initial revision
 * 
 */


#ifndef _INSERT_H
#define _INSERT_H

#define RETRY  1
#define ASSIGN 2
#define MOUNT  3
#define CANCEL 4

extern struct Gadget *gproto[];
extern struct NewWindow nw_proto;
extern struct IntuiText *vol_text;

/* Structure for all data that must be kept separately for each task.
 * This is allocated from the system heap to ease the demand on the
 * user's stack.
 */
typedef struct {
   struct Gadget     g[6];
   struct StringInfo si;
   struct NewWindow  nw;
   struct IntuiText  it;
   UBYTE             strbuf[80];
   char              line[40];
   char              cmd[80];
} context_t;

extern void init_semaphores(void);
extern struct SignalSemaphore inuse_sema;

#endif
